Skip to main content
GET
/
api
/
v2
/
affiliate
/
offers
/
{id}
Get offer details
curl --request GET \
  --url 'https://{domain}/api/v2/affiliate/offers/{id}?api-key='
{
  "status": "success",
  "code": 200,
  "name": "OK",
  "message": "<string>",
  "info": {
    "offer": {
      "goals": [
        {
          "goal_id": 123,
          "goal_name": "<string>",
          "tracking_method": 123,
          "conversion_status": 123,
          "multiple_conversions": 123,
          "has_caps": 123,
          "caps": "<string>",
          "alias": "<string>",
          "is_default": 123,
          "payout": "<string>",
          "goalType": {
            "id": 123,
            "title": "<string>",
            "color": "<string>",
            "type": "<string>"
          },
          "goal_type": 123,
          "goal_type_name": "<string>",
          "payoutByCountry": [
            {
              "country": {
                "id": 123,
                "title": "<string>",
                "code": "<string>"
              },
              "payout": {
                "value": 123
              }
            }
          ],
          "payoutByTier": [
            {
              "tier": {
                "id": 123,
                "title": "<string>",
                "color": "<string>",
                "isDefault": true
              },
              "payout": {
                "value": 123
              }
            }
          ],
          "payout_for_affiliate": "<string>"
        }
      ],
      "links": [
        {
          "id": 123,
          "title": "<string>",
          "preview": "<string>"
        }
      ]
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.scaleo.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

api-key
string
query
required

API key passed as query parameter. User must have api_status enabled.

Path Parameters

id
integer
required

Offer ID.

Response

Offer details.

status
string
Example:

"success"

code
integer
Example:

200

name
string
Example:

"OK"

message
string
info
object